org.deidentifier.arx.risk

## Class HIPAAIdentifierMatch

- java.lang.Object
- - org.deidentifier.arx.risk.HIPAAIdentifierMatch

    public class HIPAAIdentifierMatch
    extends java.lang.Object

Provides information about the occurrence of an HIPPA identifier

Author:
  David Gassmann, Fabian Prasser, Florian Kohlmayer

### Nested Class Summary

Nested Classes
`static class` `HIPAAIdentifierMatch.HIPAAIdentifier` Represents the HIPPA identifiers
`static class` `HIPAAIdentifierMatch.MatchType` Represents the classifier for the HIPAA identifier.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getColumn()` The column name where the identifier was found
`java.lang.Double` `getConfidence()` The confidence of the discovery, or null if the match type is ATTRIBUTE_NAME
`HIPAAIdentifierMatch.HIPAAIdentifier` `getIdentifier()` The identifier which was found
`java.lang.String` `getInstance()` The instance of the identifier
`HIPAAIdentifierMatch.MatchType` `getMatchType()` The classifier (column name or instance)
`java.lang.String` `getValue()` The value which caused the identification
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getColumn

    public java.lang.String getColumn()

The column name where the identifier was found

Returns:
  The column name

#### getConfidence

    public java.lang.Double getConfidence()

The confidence of the discovery, or null if the match type is ATTRIBUTE_NAME

Returns:
  The value which caused the warning

#### getIdentifier

    public HIPAAIdentifierMatch.HIPAAIdentifier getIdentifier()

The identifier which was found

Returns:
  The found identifier

#### getInstance

    public java.lang.String getInstance()

The instance of the identifier

Returns:

#### getMatchType

    public HIPAAIdentifierMatch.MatchType getMatchType()

The classifier (column name or instance)

Returns:

#### getValue

    public java.lang.String getValue()

The value which caused the identification

Returns:
  The value which caused the warning

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`